> For the complete documentation index, see [llms.txt](https://developer.nilvera.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.nilvera.com/api/magaza-api/siparisler/siparis-detayini-getirir..md).

# Sipariş detayını getirir.

## GET /Orders/{UUID}

> Sipariş Detayı Getirilir.

```json
{"openapi":"3.0.1","info":{"title":"Market Place API","version":"v1"},"servers":[{"url":"/marketplace"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"API Key Giriniz","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"OrderDetailResponse":{"type":"object","properties":{"ID":{"type":"integer","format":"int32"},"OrderNumber":{"type":"string","nullable":true},"OrderDate":{"type":"string","format":"date-time"},"StoreType":{"$ref":"#/components/schemas/StoreType"},"CurrencyCode":{"type":"string","nullable":true},"Status":{"$ref":"#/components/schemas/OrderStatus"},"TotalPrice":{"type":"number","format":"double","nullable":true},"OrderLines":{"type":"array","items":{"$ref":"#/components/schemas/OrderLineDto"},"nullable":true,"readOnly":true},"Customer":{"$ref":"#/components/schemas/CustomerResponse"},"IsSend":{"type":"boolean"},"WebSite":{"type":"string","nullable":true},"PaymentMethod":{"type":"string","nullable":true},"PaymentMethodName":{"type":"string","nullable":true},"PaymentDate":{"type":"string","format":"date-time","nullable":true},"TransporterRegisterNumber":{"type":"string","nullable":true},"TransportDate":{"type":"string","format":"date-time","nullable":true},"CargoName":{"type":"string","nullable":true},"CargoNumber":{"type":"string","nullable":true},"CargoTrackingLink":{"type":"string","nullable":true},"InvoiceUUID":{"type":"string","nullable":true},"StoreUUID":{"type":"string","nullable":true},"IsExport":{"type":"boolean"},"InvoiceSendJson":{"type":"string","nullable":true},"InvoiceType":{"$ref":"#/components/schemas/InvoiceType"},"ExchangeRate":{"type":"number","format":"double","nullable":true},"Barcode":{"type":"string","nullable":true},"IsBarcodeActive":{"type":"boolean"},"InvoiceUploadStatus":{"$ref":"#/components/schemas/InvoiceUploadStatus"}},"additionalProperties":false},"StoreType":{"enum":["Trendyol","Hepsiburada","n11","Ciceksepeti","Pazarama","Amazon","Idefix","PttAvm","GetirFood","GetirCarsi","Yemeksepeti","Etsy","Shopier","Ikas","WooCommerce","Farmazon","Shopify"],"type":"string"},"OrderStatus":{"enum":["OrderReceived","Preparing","NotSupplied","Shipped","Delivered","UnDelivered","ReturnedToSupplier","ReturnProcessStarted","CancelProcessStarted","ReturnApproved","ReturnRejected","Returned","AwaitingPayment","Invoiced","AtCollectionPoint","Cancelled","UnPacked","OrderDate","InStore","Splitted"],"type":"string"},"OrderLineDto":{"type":"object","properties":{"ID":{"type":"integer","format":"int32"},"OrderID":{"type":"integer","format":"int64"},"ProductName":{"type":"string","nullable":true},"Sku":{"type":"string","nullable":true},"Quantity":{"type":"integer","format":"int32"},"Price":{"type":"number","format":"double"},"TotalAmount":{"type":"number","format":"double"},"CurrencyCode":{"type":"string","nullable":true},"AllowanceTotal":{"type":"number","format":"double"},"TaxPercent":{"type":"number","format":"double"},"Gtip":{"type":"string","nullable":true},"DeliveryTermCode":{"type":"string","nullable":true},"OzelMatrahReason":{"type":"string","nullable":true},"OzelMatrahTotal":{"type":"number","format":"double","nullable":true}},"additionalProperties":false},"CustomerResponse":{"type":"object","properties":{"TaxNumber":{"type":"string","nullable":true},"City":{"type":"string","nullable":true},"District":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true},"TaxDepartment":{"type":"string","nullable":true},"Address":{"type":"string","nullable":true},"Country":{"type":"string","nullable":true},"PostalCode":{"type":"string","nullable":true},"Phone":{"type":"string","nullable":true},"Email":{"type":"string","nullable":true}},"additionalProperties":false},"InvoiceType":{"enum":["SATIS","IADE","ISTISNA","TEVKIFAT","IHRACKAYITLI","IPTAL","OZELMATRAH","SGK","TEVKIFATIADE","KOMISYONCU","HKSSATIS","HKSKOMISYONCU","KONAKLAMAVERGISI","SARJ","SARJANLIK"],"type":"string"},"InvoiceUploadStatus":{"enum":["None","Waiting","Success","Error"],"type":"string"}}},"paths":{"/Orders/{UUID}":{"get":{"tags":["Orders"],"summary":"Sipariş Detayı Getirilir.","parameters":[{"name":"UUID","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderDetailResponse"}}}}}}}}}
```

## The OrderDetailResponse object

```json
{"openapi":"3.0.1","info":{"title":"Market Place API","version":"v1"},"components":{"schemas":{"OrderDetailResponse":{"type":"object","properties":{"ID":{"type":"integer","format":"int32"},"OrderNumber":{"type":"string","nullable":true},"OrderDate":{"type":"string","format":"date-time"},"StoreType":{"$ref":"#/components/schemas/StoreType"},"CurrencyCode":{"type":"string","nullable":true},"Status":{"$ref":"#/components/schemas/OrderStatus"},"TotalPrice":{"type":"number","format":"double","nullable":true},"OrderLines":{"type":"array","items":{"$ref":"#/components/schemas/OrderLineDto"},"nullable":true,"readOnly":true},"Customer":{"$ref":"#/components/schemas/CustomerResponse"},"IsSend":{"type":"boolean"},"WebSite":{"type":"string","nullable":true},"PaymentMethod":{"type":"string","nullable":true},"PaymentMethodName":{"type":"string","nullable":true},"PaymentDate":{"type":"string","format":"date-time","nullable":true},"TransporterRegisterNumber":{"type":"string","nullable":true},"TransportDate":{"type":"string","format":"date-time","nullable":true},"CargoName":{"type":"string","nullable":true},"CargoNumber":{"type":"string","nullable":true},"CargoTrackingLink":{"type":"string","nullable":true},"InvoiceUUID":{"type":"string","nullable":true},"StoreUUID":{"type":"string","nullable":true},"IsExport":{"type":"boolean"},"InvoiceSendJson":{"type":"string","nullable":true},"InvoiceType":{"$ref":"#/components/schemas/InvoiceType"},"ExchangeRate":{"type":"number","format":"double","nullable":true},"Barcode":{"type":"string","nullable":true},"IsBarcodeActive":{"type":"boolean"},"InvoiceUploadStatus":{"$ref":"#/components/schemas/InvoiceUploadStatus"}},"additionalProperties":false},"StoreType":{"enum":["Trendyol","Hepsiburada","n11","Ciceksepeti","Pazarama","Amazon","Idefix","PttAvm","GetirFood","GetirCarsi","Yemeksepeti","Etsy","Shopier","Ikas","WooCommerce","Farmazon","Shopify"],"type":"string"},"OrderStatus":{"enum":["OrderReceived","Preparing","NotSupplied","Shipped","Delivered","UnDelivered","ReturnedToSupplier","ReturnProcessStarted","CancelProcessStarted","ReturnApproved","ReturnRejected","Returned","AwaitingPayment","Invoiced","AtCollectionPoint","Cancelled","UnPacked","OrderDate","InStore","Splitted"],"type":"string"},"OrderLineDto":{"type":"object","properties":{"ID":{"type":"integer","format":"int32"},"OrderID":{"type":"integer","format":"int64"},"ProductName":{"type":"string","nullable":true},"Sku":{"type":"string","nullable":true},"Quantity":{"type":"integer","format":"int32"},"Price":{"type":"number","format":"double"},"TotalAmount":{"type":"number","format":"double"},"CurrencyCode":{"type":"string","nullable":true},"AllowanceTotal":{"type":"number","format":"double"},"TaxPercent":{"type":"number","format":"double"},"Gtip":{"type":"string","nullable":true},"DeliveryTermCode":{"type":"string","nullable":true},"OzelMatrahReason":{"type":"string","nullable":true},"OzelMatrahTotal":{"type":"number","format":"double","nullable":true}},"additionalProperties":false},"CustomerResponse":{"type":"object","properties":{"TaxNumber":{"type":"string","nullable":true},"City":{"type":"string","nullable":true},"District":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true},"TaxDepartment":{"type":"string","nullable":true},"Address":{"type":"string","nullable":true},"Country":{"type":"string","nullable":true},"PostalCode":{"type":"string","nullable":true},"Phone":{"type":"string","nullable":true},"Email":{"type":"string","nullable":true}},"additionalProperties":false},"InvoiceType":{"enum":["SATIS","IADE","ISTISNA","TEVKIFAT","IHRACKAYITLI","IPTAL","OZELMATRAH","SGK","TEVKIFATIADE","KOMISYONCU","HKSSATIS","HKSKOMISYONCU","KONAKLAMAVERGISI","SARJ","SARJANLIK"],"type":"string"},"InvoiceUploadStatus":{"enum":["None","Waiting","Success","Error"],"type":"string"}}}}
```

## The StoreType object

```json
{"openapi":"3.0.1","info":{"title":"Market Place API","version":"v1"},"components":{"schemas":{"StoreType":{"enum":["Trendyol","Hepsiburada","n11","Ciceksepeti","Pazarama","Amazon","Idefix","PttAvm","GetirFood","GetirCarsi","Yemeksepeti","Etsy","Shopier","Ikas","WooCommerce","Farmazon","Shopify"],"type":"string"}}}}
```

## The OrderStatus object

```json
{"openapi":"3.0.1","info":{"title":"Market Place API","version":"v1"},"components":{"schemas":{"OrderStatus":{"enum":["OrderReceived","Preparing","NotSupplied","Shipped","Delivered","UnDelivered","ReturnedToSupplier","ReturnProcessStarted","CancelProcessStarted","ReturnApproved","ReturnRejected","Returned","AwaitingPayment","Invoiced","AtCollectionPoint","Cancelled","UnPacked","OrderDate","InStore","Splitted"],"type":"string"}}}}
```

## The OrderLineDto object

```json
{"openapi":"3.0.1","info":{"title":"Market Place API","version":"v1"},"components":{"schemas":{"OrderLineDto":{"type":"object","properties":{"ID":{"type":"integer","format":"int32"},"OrderID":{"type":"integer","format":"int64"},"ProductName":{"type":"string","nullable":true},"Sku":{"type":"string","nullable":true},"Quantity":{"type":"integer","format":"int32"},"Price":{"type":"number","format":"double"},"TotalAmount":{"type":"number","format":"double"},"CurrencyCode":{"type":"string","nullable":true},"AllowanceTotal":{"type":"number","format":"double"},"TaxPercent":{"type":"number","format":"double"},"Gtip":{"type":"string","nullable":true},"DeliveryTermCode":{"type":"string","nullable":true},"OzelMatrahReason":{"type":"string","nullable":true},"OzelMatrahTotal":{"type":"number","format":"double","nullable":true}},"additionalProperties":false}}}}
```

## The CustomerResponse object

```json
{"openapi":"3.0.1","info":{"title":"Market Place API","version":"v1"},"components":{"schemas":{"CustomerResponse":{"type":"object","properties":{"TaxNumber":{"type":"string","nullable":true},"City":{"type":"string","nullable":true},"District":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true},"TaxDepartment":{"type":"string","nullable":true},"Address":{"type":"string","nullable":true},"Country":{"type":"string","nullable":true},"PostalCode":{"type":"string","nullable":true},"Phone":{"type":"string","nullable":true},"Email":{"type":"string","nullable":true}},"additionalProperties":false}}}}
```

## The InvoiceType object

```json
{"openapi":"3.0.1","info":{"title":"Market Place API","version":"v1"},"components":{"schemas":{"InvoiceType":{"enum":["SATIS","IADE","ISTISNA","TEVKIFAT","IHRACKAYITLI","IPTAL","OZELMATRAH","SGK","TEVKIFATIADE","KOMISYONCU","HKSSATIS","HKSKOMISYONCU","KONAKLAMAVERGISI","SARJ","SARJANLIK"],"type":"string"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.nilvera.com/api/magaza-api/siparisler/siparis-detayini-getirir..md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
